Jack2 1.9.12

List of all members
Jack::JackDriverClientInterface Class Reference

The base interface for drivers clients. More...

`#include <JackDriver.h>`

Inheritance diagram for Jack::JackDriverClientInterface:

## Additional Inherited Members
Public Member Functions inherited from Jack::JackDriverInterface
virtual int | Open ()=0
virtual int | Open (jack_nframes_t buffer_size, jack_nframes_t samplerate, bool capturing, bool playing, int inchannels, int outchannels, bool monitor, const char *capture_driver_name, const char *playback_driver_name, jack_nframes_t capture_latency, jack_nframes_t playback_latency)=0
virtual int | Attach ()=0
virtual int | Detach ()=0
virtual int | Read ()=0
virtual int | Write ()=0
virtual int | Start ()=0
virtual int | Stop ()=0
virtual bool | IsFixedBufferSize ()=0
virtual int | SetBufferSize (jack_nframes_t buffer_size)=0
virtual int | SetSampleRate (jack_nframes_t sample_rate)=0
virtual int | Process ()=0
virtual void | SetMaster (bool onoff)=0
virtual bool | GetMaster ()=0
virtual void | AddSlave (JackDriverInterface *slave)=0
virtual void | RemoveSlave (JackDriverInterface *slave)=0
virtual std::list< JackDriverInterface * > | GetSlaves ()=0
virtual int | ProcessReadSlaves ()=0
virtual int | ProcessWriteSlaves ()=0
virtual int | ProcessRead ()=0
virtual int | ProcessWrite ()=0
virtual int | ProcessReadSync ()=0
virtual int | ProcessWriteSync ()=0
virtual int | ProcessReadAsync ()=0
virtual int | ProcessWriteAsync ()=0
virtual bool | IsRealTime () const =0
virtual bool | IsRunning () const =0
Public Member Functions inherited from Jack::JackClientInterface
virtual int | Close ()=0
virtual int | ClientNotify (int refnum, const char *name, int notify, int sync, const char *message, int value1, int value2)=0
virtual JackClientControl * | GetClientControl () const =0

## Detailed Description

The base interface for drivers clients.

Definition at line 114 of file JackDriver.h.

The documentation for this class was generated from the following file:

- JackDriver.h